local Rope = require("Rope")

local rope1 = nil
local rope2 = nil

function love.load()
	rope1 = Rope(love.graphics.getWidth()*.25, 100, 300, 25, 10)
	rope2 = Rope(love.graphics.getWidth()*.75, 100, 300, 25, 10)
	rope2.DRAG_FACTOR = 0
end

function love.update(dt)
	-- This bit is ugly AF, but it's just for demonstration
	if love.keyboard.isDown("space") then
		rope1.fixLastPoint = true
		rope2.fixLastPoint = true
	else
		rope1.fixLastPoint = false
		rope2.fixLastPoint = false
	end
	
	rope1:update(dt)
	rope2:update(dt)
end

function love.draw()
	rope1:draw()
	rope2:draw()
	
	love.graphics.setColor(0, 255, 0)
	love.graphics.print(("FPS: %d"):format(love.timer.getFPS()), 10, 10)
	
	love.graphics.setColor(0, 127, 255)
	if love.keyboard.isDown("space") then
		love.graphics.print("Release SPACE to free the rope endpoints", 10, love.graphics.getHeight() - 30)
	else
		love.graphics.print("Press SPACE to fix the rope endpoints", 10, love.graphics.getHeight() - 30)
	end
end